package hmggirlfront.config;

import java.util.ArrayList;
import java.util.List;

import hmggirlfront.mod_GirlFront;
import net.minecraft.client.gui.GuiScreen;
import net.minecraftforge.common.config.ConfigCategory;
import net.minecraftforge.common.config.ConfigElement;
import net.minecraftforge.common.config.Configuration;
import net.minecraftforge.fml.client.config.GuiConfig;
import net.minecraftforge.fml.client.config.IConfigElement;

public class GuiGFConfig extends GuiConfig {
    public GuiGFConfig(GuiScreen parent) {
        super(parent, new ConfigElement(mod_GirlFront.config.getCategory("all")).getChildElements(), 
        		mod_GirlFront.MOD_ID, false, false, "GFConfig");
        titleLine2 = mod_GirlFront.config.getConfigFile().getAbsolutePath();
    }

    //@SuppressWarnings("unchecked")
    private static List<IConfigElement> elements() {
        List<IConfigElement> list = new ArrayList<>();
        list.addAll(new ConfigElement(mod_GirlFront.config.getCategory(Configuration.CATEGORY_GENERAL)).getChildElements());
        return list;
    }
    
   @Override
    public void onGuiClosed(){
        super.onGuiClosed();
    }
}